# Template to only run if actual changes has been made to the code and not just documentation
.recompile-branch:
  tags:
    - veloren-docker
  rules:
    - if: $CI_COMMIT_REF_NAME !~ /^master$/
      # No '-' here is *very* important: https://docs.gitlab.com/ee/ci/yaml/#complex-rule-clauses
      changes:
        - "**/*.{glsl,rs,ron,toml,vox,png}"
        - "rust-toolchain"
        - "Cargo.lock"
        - ".gitlab-ci.yml"
        - "**/*.yml"

# like .recompile-branch but will run on master too
.recompile:
  tags:
    - veloren-docker
  rules:
    - changes:
        - "**/*.{glsl,rs,ron,toml,vox,png,wav}"
        - "rust-toolchain"
        - "Cargo.lock"
        - ".gitlab-ci.yml"
        - "**/*.yml"

# Template to only run these after a branch has merged to master
.post-merge:
  stage: build
  tags:
    - veloren-docker
  rules:
    - if: $CI_COMMIT_REF_NAME =~ /^master$/
      changes:
        - "**/*.{glsl,rs,ron,toml,vox,png}"
        - "rust-toolchain"
        - "Cargo.lock"
        - ".gitlab-ci.yml"
        - "**/*.yml"
